Bug 773330 - CVE-2011-4108 CVE-2011-4576 CVE-2011-4577 CVE-2011-4619 mingw32-openssl various flaws [fedora-all]
CVE-2011-4108 CVE-2011-4576 CVE-2011-4577 CVE-2011-4619 mingw32-openssl vario...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mingw32-openssl (Show other bugs)
16
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
: Reopened, Security, SecurityTracking
Depends On:
Blocks: CVE-2011-4108 CVE-2011-4576 CVE-2011-4577 CVE-2011-4619
  Show dependency treegraph
 
Reported: 2012-01-11 09:50 EST by Tomas Hoger
Modified: 2012-11-23 02:51 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-23 02:51:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2012-01-11 09:50:45 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=771770

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


[bug automatically created by: add-tracking-bugs]
Comment 1 Tomas Hoger 2012-01-11 09:51:43 EST
    Adding parent bug CVE-2011-4576
    New bodhi update url:
    https://admin.fedoraproject.org/updates/new/?type_=security&bugs=771770,771775
Comment 2 Tomas Hoger 2012-01-11 09:52:28 EST
    Adding parent bug CVE-2011-4577
    New bodhi update url:
    https://admin.fedoraproject.org/updates/new/?type_=security&bugs=771770,771775,771778
Comment 3 Tomas Hoger 2012-01-11 09:53:17 EST
    Adding parent bug CVE-2011-4619
    New bodhi update url:
    https://admin.fedoraproject.org/updates/new/?type_=security&bugs=771770,771775,771778,771780
Comment 4 Fedora End Of Life 2012-08-07 15:23:13 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Tomas Hoger 2012-08-08 03:49:41 EDT
mingw*-openssl packages in fedora still on 1.0.0d, while the issues were fixed upstream in 1.0.0f.  No backported patches it seems.
Comment 6 Fedora Update System 2012-11-11 08:56:48 EST
mingw-openssl-1.0.1c-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mingw-openssl-1.0.1c-1.fc18
Comment 7 Fedora Update System 2012-11-11 14:56:18 EST
Package mingw-openssl-1.0.1c-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mingw-openssl-1.0.1c-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-18035/mingw-openssl-1.0.1c-1.fc18
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-11-23 02:51:34 EST
mingw-openssl-1.0.1c-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.